<?php
$this->headLink()
    ->prependStylesheet('https://use.fontawesome.com/releases/v5.0.6/css/all.css')
    ->prependStylesheet('https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css');
$this->inlineScript()
    ->prependFile('https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js')
    ->prependFile('https://code.jquery.com/jquery-3.3.1.min.js');
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <link rel="shortcut icon" href="https://getlaminas.org/ico/favicon.ico" />
    <?=$this->headTitle('čČNB update API')->setSeparator(' - ')->setAutoEscape(false)?>
    <?=$this->headMeta()?>
    <?=$this->headLink()?>
    <style>
        body { padding-top: 70px; }
        .app { min-height: 100vh; }
        .app-footer { padding-bottom: 1em; }
        h2 a { color: #68b604; }
    </style>
</head>
<body class="app">
    <header class="app-header">
        <nav class="navbar navbar-expand-sm navbar-dark bg-dark fixed-top" role="navigation">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="#navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <!-- Brand -->
                    <a class="navbar-brand" href="<?=$this->url('home')?>">
                        ČNB update API
                    </a>
                </div>
                <!-- Links -->
                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item">
                            <a href="<?=$this->url('api.v1')?>" class="nav-link">
                                API documentation
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?=$this->url('api.ping')?>" class="nav-link">
                                API test
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <div class="app-content">
        <main class="container">
            <?=$this->content?>
        </main>
    </div>

    <footer class="app-footer">
        <div class="container">
            <hr />
            <p>
                &copy; 2020<!-- - <?=date('Y')?>--> Vyvinula a provozuje česká komunita Koha, technicky zajišťuje <a href="https://www.koha-v-knihovne.cz/" target="_blank">R-Bit Technology, s.r.o.</a>
            </p>
        </div>
    </footer>

    <?=$this->inlineScript()?>
</body>
</html>
